For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
  • User guides
    • About the Applications API
    • Getting started
    • Authentication
    • Quick reference
  • Account Defender API
  • Bot Defender API
  • Credential Intelligence API
  • Code Defender API
      • GETGet deny lists
      • POSTUpdate a deny list
    • Code Examples
  • Enforce API
  • PCI DSS API
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Code Defender APIDeny Lists

Update a deny list

POST
https://api-gw.perimeterx.com/v1/deny-lists
POST
/v1/deny-lists
$curl -X POST https://api-gw.perimeterx.com/v1/deny-lists \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "incidentIds": [
> "507f1f77bcf86cd799439011",
> "507f1f77bcf86cd799439012"
> ]
>}'
1{
2 "message": "Successfully added to deny list"
3}

Add incidents to a deny list with a list of incident IDs. This will block any associated script actions with those incidents. See GET incidents to retrieve a list of incident IDs.

Was this page helpful?
Previous

Get cookie report

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
incidentIdslist of stringsRequired
An array of incident IDs to add to the list. At least one ID is required.
commentstringOptional
The reason for adding incidents to the list.
updatedBystringOptional
The username or identifier of the person updating the list.
appBasedbooleanOptional
Whether to block other incidents across the app on different host domains that match the same incident behavior.

Response

Success
messagestring

Errors

401
Unauthorized Error
422
Unprocessable Entity Error
500
Internal Server Error